Deleted Added
full compact
freebsd-configure.sh (255795) freebsd-configure.sh (255839)
1#!/bin/sh
2#
1#!/bin/sh
2#
3# $FreeBSD: head/contrib/unbound/freebsd-configure.sh 255795 2013-09-22 19:09:43Z des $
3# $FreeBSD: head/contrib/unbound/freebsd-configure.sh 255839 2013-09-24 09:56:10Z des $
4#
5
6set -e
7
8error() {
9 echo "$@" >&2
10 exit 1
11}

--- 7 unchanged lines hidden (view full) ---

19
20ldnsbld=$(realpath $unbound/../../lib/libldns)
21[ -f $ldnsbld/Makefile ] || error "can't find LDNS build directory"
22
23ldnsobj=$(realpath $(make -C$ldnsbld -V.OBJDIR))
24[ -f $ldnsobj/libldns.a ] || error "can't find LDNS object directory"
25export LDFLAGS="-L$ldnsobj"
26
4#
5
6set -e
7
8error() {
9 echo "$@" >&2
10 exit 1
11}

--- 7 unchanged lines hidden (view full) ---

19
20ldnsbld=$(realpath $unbound/../../lib/libldns)
21[ -f $ldnsbld/Makefile ] || error "can't find LDNS build directory"
22
23ldnsobj=$(realpath $(make -C$ldnsbld -V.OBJDIR))
24[ -f $ldnsobj/libldns.a ] || error "can't find LDNS object directory"
25export LDFLAGS="-L$ldnsobj"
26
27autoconf
28autoheader
27./configure \
28 --prefix= --exec-prefix=/usr \
29./configure \
30 --prefix= --exec-prefix=/usr \
29 --with-conf-file=/etc/unbound/unbound.conf \
31 --with-conf-file=/var/unbound/unbound.conf \
30 --with-run-dir=/var/unbound \
31 --with-username=unbound
32
33# Regenerate the configuration parser
34{
35cat <<EOF
36#include "config.h"
37#include "util/configyyrename.h"
38EOF
39/usr/bin/flex -L -t util/configlexer.lex
40} >util/configlexer.c
41
42/usr/bin/yacc -d -o util/configparser.c util/configparser.y
32 --with-run-dir=/var/unbound \
33 --with-username=unbound
34
35# Regenerate the configuration parser
36{
37cat <<EOF
38#include "config.h"
39#include "util/configyyrename.h"
40EOF
41/usr/bin/flex -L -t util/configlexer.lex
42} >util/configlexer.c
43
44/usr/bin/yacc -d -o util/configparser.c util/configparser.y